Bug 236573 - Microsoft Natural 4000 Keyboard broken in 2.6.20 kernel
Microsoft Natural 4000 Keyboard broken in 2.6.20 kernel
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
Depends On:
  Show dependency treegraph
Reported: 2007-04-16 11:00 EDT by Matt Thompson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.6.20-1.2952.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-01 14:35:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Thompson 2007-04-16 11:00:21 EDT
Description of problem:
In the latest kernel, 2.6.20-1.2944.fc6, my Microsoft Natural Ergonomic Keyboard
4000 has been broken.  Like Chris in Bug #234549, I am seeing that the NumLock
and CapsLock keys no longer light up when I press them.  Moreover, I also get a
crash upon trying to use any multimedia keys.

With the 2.6.19 and lower kernels, I was able to use the multimedia keys on my
4000 with this Xorg setup:

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "microsoft"
        Option      "XkbLayout" "us"

along with some shortcuts mapping, say, XF86Calculator to the correct events in
my Xfce configuration.  But, as of the 2.6.20 kernels, I get crashes upon a
multimedia keypress.

I know there is a kernel patch for the MS Natural Ergonomic Keyboard 4000 that
was developed by a Gentoo user:


But, I don't really know how to build patches against the Fedora kernels anymore
since it's all kind of changed.  Li Yu
(who seems to be the one running the 4000 kernel patches) has been active on
this Ubuntu forum here:


One telling quote is this:

The hid core is split from USB since kernel 2.6.20. So we can not port this
driver to it easier.
I already have ported it to 2.6.21-rc2. see this URL:
version 0.5.0 http://lkml.org/lkml/2007/3/5/18
Well, I think it also can use it in 2.6.20 kernel, however it may need some
little changes ( adjust the offset of some
lines ).

I'm guessing this split of hid from USB is the reason for the new problems.

Version-Release number of selected component (if applicable):

How reproducible:  Always

Steps to Reproduce:
1. Start X
2. Press NumLock -> No light
3. Press multimedia key -> crash
Actual results:
Either no LED response for NumLock or a crash from a multimedia key.

Expected results:
The NumLock light to light up or the multimedia key not to crash my X.

Additional info:
Comment 1 Matt Thompson 2007-04-16 11:37:59 EDT
Mea culpa.

It turns out the multimedia key crashes were due to some bad evdev mojo on my
part.  The kernel was reading the wrong event for the mouse and going nuts.

That said the NumLock/CapsLock indicator problem is still there, but I'm
knocking this to a low severity since the Num Lock still works...I just can't
tell if it's on or not.
Comment 2 Vitezslav Crhonek 2007-04-23 09:21:13 EDT
Please look at BZ 234549, comment #5.
Comment 3 Matt Thompson 2007-04-23 09:50:04 EDT
As I mistakenly said on the other thread, I only have USB ports on my box.  No
legacy ports, I'm afraid.
Comment 4 Matt Thompson 2007-06-01 14:35:06 EDT
Welp, it looks like this was fixed in 2.6.20-1.2952.fc6.  I now see NumLock and
CapsLock lit up.  Our long national nightmare is over.  Thanks all.

Note You need to log in before you can comment on or make changes to this bug.